function x_hat_ls = leastsq(LS, y)
%LEASTSQ Generalized least squares estimator.
%   X_HAT_LS = LEASTSQ(LS, Y) produces an estimate of X according to Y,
%   solving the system Y = H*X + W, where W is coloured Gaussian noise.
%   Calculation is based on the LS estimator matrix, generated by
%   LEASTSQ_PREP().
%   
%   See also LEASTSQ_PREP.

%   Asaf Elron and Guy Leibovitz, 2008.

x_hat_ls = LS * y; % (2)

end
